Home

El Hadi Cherkaoui

Welcome to your wiki!

This is the default page, edit it as you see fit. To add a new page simply reference it within brackets, e.g.: [SamplePage].

The wiki uses Markdown syntax.

Project Admins:


Discussion

  • El Hadi Cherkaoui

    INSTALLATION GUIDE:

    Please follow these installation steps:

    /!\ It is recommended to use the Ubuntu8.04 distribution of LINUX and the C++ 4.3 compiler version or latest.

    1) Check which version of your compiler C++.

    Download the following packages:

    sudo apt-get install build-essential autoconf automake libxmu-dev
    cd /usr/local

    download and unzip ns-allinone-2.29.tar.gz provided her:
    https://sourceforge.net/projects/mihnistns229/files/latest/download

    sudo tar -xzvf ns-allinone-2.29.tar.gz
    cd ns-allinone-2.29
    ./install

    2) If similar errors are displayed in the TCL code:

    "checking system version (for dynamic loading)... ./configure: 1: Syntax error: Unterminated quoted string
    tcl8.3.2 configuration failed! Exiting ...
    Tcl is not part of the ns project. Please see www.Scriptics.com
    to see if they have a fix for your platform."

    Then, modify the following lines :

    system=MP-RAS-awk ' { print $3 } '/etc/.relid'

    By these ones:

    system=MP-RAS-awk ' { print $3 } '/etc/.relid

    Apply these actions in these three directories:
    ../tcl8.4.11/unix/configure
    ../tk8.4.11/unix/configure
    ../otcl-1.11/unix/configure

    Confirm these operations:

    sudo gedit tcl8.4.11/unix/configure
    sudo autoconf
    sudo gedit tk8.4.11/unix/configure
    sudo autoconf
    sudo gedit otcl-1.11/configure
    sudo autoconf

    Once the tcl problem is solved, you may have these warning:

    warning: deprecated conversion from string constant to 'char*'
    warning: suggest explicit braces to avoid ambiguous 'else'
    warning: suggest parentheses around && within ||
    warning: suggest parentheses around comparison in operand of &
    warning: 'typedef' was ignored in this declaration

    This is due to your version of GCC (here gcc4.3.2).
    To remove this warning you should modify the configure file in ../ns2.29 :

    sudo gedit ns-2.29/configure

    Add this line:
    -Wno-write-strings -Wno-parentheses
    to all lines :
    CCOPT = -g -Wall
    To get:
    CCOPT = -g -Wall -Wno-write-strings -Wno-parentheses

    3) Download gcc-4.1 with this command

    sudo apt-get install gcc-4.1

    and download the path of ns2 ns2292-gcc410:

    sudo wget http://my.opera.com/mysurface/homes/blog/ns2292-gcc4:
    0.patch
    sudo patch -p1 < ns2292-gcc410.patch

    4) At this stage, you will be able to install NS2 by doing:

    ./install

    Once done:
    gedit ~/.bashrc
    Write the following PATH in the .bashrc file

    NSHOME=/usr/local/ns-allinone-2.29
    export PATH=$PATH:$NSHOME/bin:$NSHOME/tcl8.4.11/unix:/$NSHOME/tk8.4.11/unix
    export LD_LIBRARY_PATH=$NSHOME/lib:/usr/X11R6/lib:$NSHOME/otcl-
    export TCL_LIBRARY=$NSHOME/tcl
    /library

    5) Source the .bashrc
    source ~/.bashrc

    6) Validation: (it would take several minutes - it is not mandatory for NS2)
    cd ns-2.29
    ./validate

    7) Run the ns2.9-MIH
    ns
    %

    8) Navigateinto the samples directories in order to find example of available scenarios using MIH IEEE802.21 Handover mechanism

     
    Last edit: El Hadi Cherkaoui 2016-10-01
  • El Hadi Cherkaoui

    Published Paper:
    Nguyen-Vuong Q-T.; Agoulmine, N.; Cherkaoui, E.H.; Toni, L., "Multicriteria Optimization of Access Selection to Improve the Quality of Experience in Heterogeneous Wireless Access Networks," in Vehicular Technology, IEEE Transactions on , vol.62, no.4, pp.1785-1800, May 2013
    doi: 10.1109/TVT.2012.2234772
    keywords: {3G mobile communication;Long Term Evolution;WiMax;quality of experience;radio access URL: http://ieeexplore.ieee.org/stamp/stamp.jsp?tp=&arnumber=6384870&isnumber=6514944

     

Log in to post a comment.